<template>
  <main id="app">
    <NavBar/>
    <br/>
    <h1>Componentização</h1>
    <Modal/>
    <h2>Cards de casa</h2>
    <section class="cards"> 
      <Card 
        v-for="card in cards"
        :key="card.color"
        :card="card"
      />
    </section>

    <h2>Cards de usuários</h2>
    <section class="cards users"> 
      <Card 
        v-for="card in users"
        :key="card.color"
        :card="card"
      />
    </section>
    
  </main>
</template>

<script>

import Card from "./components/Card"
import NavBar from "./components/NavBar"
import Modal from "./components/Modal"

export default {
  name: "App",
  components: {
    NavBar,
    Card,
    Modal
    
  },
  data(){
    return {
      cards: [
        {
          title: "Casa",
          type: "Moradia",
          color: "grey",
          about: "Lorem ipsum dolor sit amet consectetur," + 
          "adipisicing elit. In consectetur eveniet quisquam " +
          "vero, ratione sapiente alias dignissimos " + 
          "temporibus autem? Repellat?",
          src: require("./assets/card-casa.jpg")
        },
        {
          title: "Pensão",
          type: "Moradia",
          color:"grey",
          about: "Lorem ipsum dolor sit amet consectetur," + 
          "adipisicing elit. In consectetur eveniet quisquam " +
          "vero, ratione sapiente alias dignissimos " + 
          "temporibus autem? Repellat?",
          src: require("./assets/card-casa.jpg")
        },
        {
          title: "República",
          type: "Moradia",
          color: "grey",
          about: "Lorem ipsum dolor sit amet consectetur," + 
          "adipisicing elit. In consectetur eveniet quisquam " +
          "vero, ratione sapiente alias dignissimos " + 
          "temporibus autem? Repellat?",
          src: require("./assets/card-casa2.jpg")
        }
      ],
      users: [
        {
          title: "User",
          type: "Usuario",
          color: "grey",
          about: "Lorem ipsum dolor sit amet consectetur," + 
          "adipisicing elit. In consectetur eveniet quisquam " +
          "vero, ratione sapiente alias dignissimos " + 
          "temporibus autem? Repellat?",
          src: require("./assets/usuario1.png")
        },
        {
          title: "User",
          type: "Usuario",
          color: "grey",
          about: "Lorem ipsum dolor sit amet consectetur," + 
          "adipisicing elit. In consectetur eveniet quisquam " +
          "vero, ratione sapiente alias dignissimos " + 
          "temporibus autem? Repellat?",
          src: require("./assets/usuario2.png")
        },
        {
          title: "User",
          type: "Usuario",
          color: "grey",
          about: "Lorem ipsum dolor sit amet consectetur," + 
          "adipisicing elit. In consectetur eveniet quisquam " +
          "vero, ratione sapiente alias dignissimos " + 
          "temporibus autem? Repellat?",
          src: require("./assets/usuario3.png")
        }
      ]
    }
  }
};
</script>

<style>

  * {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
  }

  body {
    font-family: "montseratt", sans-serif;
  }

  main {
    width: 100vw;
    min-height: 100vh;
    overflow: hidden;

    background-color: #EEE;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    
  }

  .cards {
    display:inline-flex ;
    max-width: 1280px;
    padding: 25px;
    margin: 0 auto;
  }

  .cards .users {
    border-radius: 50%;
  }

  
</style>
